//
//  BaseRecord.swift
//  Memri
//
//  Created by T Brennan on 28/1/21.
//

import Foundation
import GRDB

/// A class used to set encoding/decoding settings for the SQLite database
class BaseRecord: GRDB.Record {
    static var databaseUUIDEncodingStrategy: DatabaseUUIDEncodingStrategy { .string }
    static var databaseDateDecodingStrategy: DatabaseDateDecodingStrategy { .millisecondsSince1970 }
    static var databaseDateEncodingStrategy: DatabaseDateEncodingStrategy { .millisecondsSince1970 }
}
