//
//  DatabaseHelperFunctions.swift
//  Memri
//
//  Created by T Brennan on 28/1/21.
//

import Foundation

/// A collection of functions used to encode/decode into certain formats used in the database
enum DatabaseHelperFunctions {
    static func encode(_ date: Date) -> Int {
        Int(floor(1000.0 * date.timeIntervalSince1970))
    }
    static func decode(from millisecondsSince1970: Int) -> Date {
        Date(timeIntervalSince1970: Double(millisecondsSince1970) / 1000.0)
    }
}
