//
// CVU_HTMLView.swift
// Copyright © 2020 memri. All rights reserved.

import SwiftUI

/// A CVU element for displaying HTML content
/// - Set the `content` property to a HTML string
/// - If no width/height is set the view will take up as much space as possible
struct CVU_HTMLView: View {
    var nodeResolver: CVUUINodeResolver

    var body: some View {
        EmailView(emailHTML: nodeResolver.propertyResolver.string("content"))
    }
}
