//
//  DatabaseControllerTests.swift
//  MemriDatabaseTests
//
//  Created by T Brennan on 16/12/20.
//

import XCTest
@testable import Memri

class DatabaseControllerTests: XCTestCase {
    let databaseController = DatabaseController()
    
    override func setUpWithError() throws {
        // Put setup code here. This method is called before the invocation of each test method in the class.
        try databaseController.databasePool!.erase()
        try databaseController.runMigrations()
    }

    override func tearDownWithError() throws {
        // Put teardown code here. This method is called after the invocation of each test method in the class.
    }

    // MARK: Database tests
    
    func testDemoDataImport() throws {
        try DemoData.importDemoData(databaseController: databaseController, throwIfAgainstSchema: true)
    }
    
//    func testDemoDataImportPerformance() throws {
//        self.measure {
//            try! testDemoDataImport()
//        }
//    }

    func testSearch() throws {
        // todotest
//        try DemoData.importDemoData(databaseController: databaseController)
//        let results = try databaseController.search(string: "trailhead first")
//        XCTAssertEqual(results.count, 1)
//        XCTAssertEqual(results.first!.type, "Note")
    }
}
