//
//  PodAPIConnectionDetails.swift
//  MemriDatabase
//
//  Created by T Brennan on 17/12/20.
//

import Foundation

/// This type holds all the details required to connect to the pod and authenticate for a request
struct PodAPIConnectionDetails: Codable {
    var scheme: String = "http"
    var host: String = "0.0.0.0"
    var port: Int = 3030
    var apiVersion: String = "v4"
    var keys: AuthKeys = AuthKeys(ownerKey: "ownerKeyHere", dbKey: "databaseKeyHere")
}
