//
//  AutoCodable.swift
//  Memri
//
//  Created by T Brennan on 24/1/21.
//

import Foundation

/// These protocols are used to automatically generate some codable conformance for our enums with associated values using Sourcery
protocol AutoDecodable: Decodable { }
/// These protocols are used to automatically generate some codable conformance for our enums with associated values using Sourcery
protocol AutoEncodable: Encodable { }
/// These protocols are used to automatically generate some codable conformance for our enums with associated values using Sourcery
typealias AutoCodable = AutoEncodable & AutoDecodable

/// These protocols are used to automatically generate some equatable conformance for some classes using Sourcery
//protocol AutoEquatable: Equatable { }
