//
// CVU_Text.swift
// Copyright © 2020 memri. All rights reserved.

import SwiftUI

/// A CVU element for displaying text
/// - Set the `text` property to the desired content
/// - Set the `font` property to change text appearance
/// - Set the `color` property to change text color
struct CVU_MemriButton: View {
    var nodeResolver: CVUUINodeResolver

    var body: some View {
        let item = nodeResolver.propertyResolver.item("item")
        MemriButton(nodeResolver: nodeResolver, item: item, db: nodeResolver.db)
    }
}
